Subject: Re: bug#17973: Thin space not thin at all

From: Stefan Monnier <[email-masked]>
Date: Sat, 19 Jul 2014 13:30:10 -0400

>> > In addition to your patch, could you please try the following patch?
> [...]
>> Looks like this works, indeed!  Yay!
> I've just committed both changes to the trunk.  But, in this part:

>       if (pixel_size * 2 < entity_size || entity_size * 2 < pixel_size)
> 	/* This size is wrong by more than a factor 2: reject it!  */
> 	return 0xFFFFFFFF;

> the factor 2 is too arbitrary.  Don't we need some
> user-controllable variable here?

It's indeed arbitrary.  It might deserve a CPP macro, but I'd rather not
add a configurable variable until there's a clear need for it.
2 seems to be large enough that it is hard to imagine a case where it
will rule out a font that the user would want to use, yet it's small
enough that it should solve the problem in the vast majority of cases
where it matters.

        Stefan